/* 
* classSPI.h
*
* Created: 04/02/2015 11:24:30
* Author: Vaio
*/


#ifndef __CLASSSPI_H__
#define __CLASSSPI_H__

// I/O Registers definitions
#include <avr/io.h>

#define LCD_CS             PIN0_bm           //PORTF
#define SD_CS              PIN4_bm           //PORTE
#define GEN_CS             PIN3_bm           //PORTC
#define SPI_MOSI           PIN5_bm           //PORTE
#define SPI_MISO           PIN6_bm           //PORTE
#define SPI_CLK            PIN7_bm           //PORTE

class classSPI
{
//variables
public:
    SPI_t *spi;
protected:
private:

//functions
public:
	classSPI(SPI_t *spi);
	~classSPI();
	void spi_init(uint8_t mode);
	unsigned char transfer(unsigned char c);
	#define SD_CS_LOW()       PORTE.OUTCLR = SD_CS;
	#define SD_CS_HIGH()      PORTE.OUTSET = SD_CS;
	#define GEN_CS_LOW()      PORTC.OUTCLR = GEN_CS;
	#define GEN_CS_HIGH()     PORTC.OUTSET = GEN_CS;
	#define LCD_CS_LOW()      PORTF.OUTCLR = LCD_CS;
	#define LCD_CS_HIGH()     PORTF.OUTSET = LCD_CS;

protected:
private:
	classSPI( const classSPI &c );
	classSPI& operator=( const classSPI &c );

}; //classSPI


#endif //__CLASSSPI_H__
